Page MenuHomePhabricator

Configuration changes for English Wikivoyage for WikidataPageBanner
Closed, ResolvedPublic

Description

Once the extension WikidataPageBanner is thoroughly tested manually on English Wikivoyage, set $wgWPBBannerProperty on English Wikivoyage to "P948" to fetch banners from wikidata.

Event Timeline

Sumit created this task.Aug 12 2015, 4:17 PM
Sumit raised the priority of this task from to Needs Triage.
Sumit updated the task description. (Show Details)
Sumit added a project: Wikidata-Page-Banner.
Sumit moved this task to Blocked on the Wikidata-Page-Banner board.
Sumit added subscribers: Sumit, Jdlrobson, Nicolas_Raoul.
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 12 2015, 4:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson renamed this task from Enable $wgWPBBannerProperty on English Wikivoyage for WikidataPageBanner to Configuration changes for English Wikivoyage for WikidataPageBanner.Aug 13 2015, 7:35 PM
Jdlrobson moved this task from Blocked to Epics on the Wikidata-Page-Banner board.
Jdlrobson set Security to None.

@Sumit do we need to enable WPBEnableDefaultBanner as well?
I'm also wondering if we should enable user pages for "WPBNamespaces" - personally I'd love to add a page banner to my wikivoyage user page!

Sumit added a comment.Aug 14 2015, 7:43 PM

@Sumit do we need to enable WPBEnableDefaultBanner as well?

wgWPBEnableDefaultBanner would need to be enabled only if banners are needed without {{PAGEBANNER}}. As for English Wikivoyage comunnity I suppose it should be left as is(false). They can avail Wikidata banners by keeping the bannername parameter to {{PAGEBANNER}} empty, as they already have {{pagebanner}} on all their pages.

I'm also wondering if we should enable user pages for "WPBNamespaces" - personally I'd love to add a page banner to my wikivoyage user page!

We can enable user pages in WPBNamespaces.
Another though was to disable namespace checking if {{PAGEBANNER}} is used in wikitext as in that case anyone would be wanting to see a banner if one has used the keyword. whatever be its namespace.

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Aug 17 2015, 3:45 PM

@Nicolas_Raoul let me know when you think we should make this config change.

I just asked at the Travellers' Pub for a consensus.

Change 232782 had a related patch set uploaded (by Jdlrobson):
Enable Wikidata page banners on English Wikivoyage

https://gerrit.wikimedia.org/r/232782

Change 232782 merged by jenkins-bot:
Enable Wikidata page banners on English Wikivoyage

https://gerrit.wikimedia.org/r/232782